<?php
/**
 * cms.php - Configurations for the CMS system
 *
 * @author $Author: dtong $
 * @version $Id: cms.php,v 1.170 2012/04/02 12:10:34 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/
// if ( !defined('BASEPATH')) exit('No direct script access allowed');

//Sets the parameters in database.php. password should be set in the site config
global $CMS_DB_USERNAME, $CMS_DB_PASSWORD, $CMS_DB_SCHEMA, $CMS_DB_ACTIVEGROUP, $CMS_DB_HOSTNAME;

//Turn off all error messages for browser
error_reporting(0);
//We don't need magic quotes
ini_set('magic_quotes_gpc', 0);

define('CMS_APP_INCLUDE_FOLDER', 'include');
define('CMS_TOP_IMAGE_FOLDER', 'images');
define('CMS_SITE_IMAGE_FOLDER', 'site');
define('CMS_CAPTCHA_IMAGE_TEMPPATH', CMS_TOP_IMAGE_FOLDER .  '/tmp/');
define('CMS_CAPTCHA_FONTPATH',  CMS_APP_INCLUDE_FOLDER . '/fonts/FreeUniversal-Bold.ttf');

// Application specific config. Use static so done in compile time.
static $cms_config = array (
	// Have to set php.ini too
	'cms_max_uploadsize' => 8,
	// 60*60, one hour for upload
	'cms_upload_timeout' => 360,
	// 5 minutes for PDF generation
	'cms_pdf_max_timeout' => 300,
	'cms_local_nologin_password' => 'NO_LOGIN',
	'cms_guest_username' => 'guest',
	'cms_admin_username' => 'admin',
	// Always set cms_use_all_unit_types to false when using
	// cms_use_unit_meta, cms_use_unit_integrated, cms_use_unit_unified flags
	// The unit flags are not set here so ther are always false unless defined in the school config file
	'cms_use_all_unit_types' => TRUE,
	'cms_use_it_standard' => TRUE,
	'cms_login_title' => 'Curriculum Mapping System Login',
	'cms_survey_login_title' => 'Survey System Login',
	// Use this table for display grade menu panel and searches
	'cms_grade_table' => 'display_grade',
	// Defines the maximum number of selection boxes on the resource page
	'cms_max_selects' => 8,
	// Defines the maximum number of rows per page
	'cms_max_perpage' => 35,
	// For paging links, left=4, right=4.
	'cms_max_showpage' => 4,
	// This flag tells to show the copy button under the course tree.
	'cms_unit_copyunit' => TRUE,
	// This tells which table to use for the left panel display by grade tree.
	// We need this to support ISB since they will swicth to display_grade when the data is there.
	// 'cms_grade_table' => 'course_grade',
	'cms_grade_table' => 'display_grade',
	// Save grade selections from course desc page to this table.
	'cms_gradetable_2save' => 'display_grade',
	// 'cms_pdf_exe' => 'c:\windows\wkhtmltopdf.exe',
	// 'cms_pdf_tmp_dir' => 'c:\contents\cms\tmp\pdf\\',
	'cms_pdf_exe_options' => '-q -s A4 --encoding UTF8', //default for Windows and Linux
	// 'cms_pdf_exe_options_extra' => '--zoom 1.4',
	// This many hours without edit page access will unlock the unit for other editors
	// if multiple editors is enabled which is by default. Set it to FALSE will disable this time limit locking feature
	// If this is greater than 24 then it has to be a multiply of 24
	'cms_unitlock_hour_expire' => 8,
	// Unit type language translation
	'cms_unittype_translate' =>
		array('ubd' => array('UbD', 'UbD Unit'), 'myp' => array('MYP', 'MYP Unit'), 'pyp' => array('PYP', 'PYP UoI')),
	'cms_hidden_goal_title_pdf' => TRUE,
	'cms_multi_goals' => TRUE,
	'cms_goal_user_title' => TRUE,
	'cms_goal_multi_editor' => TRUE,
	'cms_goal_menu_help' => TRUE,
	// Maximum number of empty URLs on the resource popup.
	'cms_max_multi_url' => 2,
	'cms_header_footer_create_folder' => 'misc/pdftemp/',
	'cms_header_filename' => 'header',
	'cms_footer_filename' => 'footer',
	'cms_pdf_header' => '-T 20 --header-spacing 1 --header-html ',
	'cms_pdf_footer' => '-B 20 --footer-html ',
	'cms_survey_blocks' => array(1=>'1',2=>'2',3=>'3',4=>'4',5=>'5',6=>'6',7=>'7',8=>'8',9=>'9',10=>'10'),
	// This is used for the survey LDAP login. Only needs to be modified for non-Micorsoft-AD Ldap servers.
	'cms_survey_ldap_attr_translate' =>
		array('ext_username' => 'samaccountname', 'ext_firstname' => 'givenname', 'ext_lastname' => 'sn', 'ext_email' => 'mail'),
	// This overrides the refresh URL based on the template file. This was done for the system
	// templates but this can be applied to any other templates.
	// The system templates are filename part based, others are templateid based
	'cms_stage_refresh_url_config' =>
		array('course_desc' => 'course/desc/stage', 'unit' => 'unit/unit/stage', 'goal' => 'goal/goal/stage',
				'survey' => 'survey/survey/stage', 'site_resources' => 'cms/site_res/stage'),
	// Make all the image and include paths dynamic so we can manipulate them if necessary.
	'cms_app_include_folder' => CMS_APP_INCLUDE_FOLDER,
	'cms_top_image_folder' => CMS_TOP_IMAGE_FOLDER,
	// This would be images/site or images/site_old.
	'cms_site_image_folder' => CMS_SITE_IMAGE_FOLDER,
	// Sets the skin for dhtmlxwindows - dhx_blue, dhx_skyblue, dhx_black, dhx_web/(does not work in IE)
	'cms_dhtmlxwindows_skin' => 'dhx_skyblue',
	// Add extra pixels to the height of all windows.
	'cms_dhtmlxwindows_extraheight' => 70,
	// (issue: 136) This will cause all the mapping searches to use the same divid/window and session result.
	'cms_mapping_divid' => 'mappingsinglewindow',
	// Compress all PHP search sessions
	'cms_searchsession_compress' => TRUE,
	// Size in bytes, to compress if larger than this.
	'cms_searchsession_compress_threshold' => 50000,
	// DB prefetch. Should be always on unless problem in prefetch.
	'cms_db_prefetch_enable' => TRUE,
	'cms_db_prefetch_enable_btnsort' => TRUE,
	'cms_db_prefetch_enable_resource' => TRUE,
	// Enable auto generate confirmation code.
	'cms_login_use_captcha' => TRUE,
	'cms_failed_lockout_count' => 5,
	'cms_lockout_period' => 15,
	'cms_captcha_image_temppath' => CMS_CAPTCHA_IMAGE_TEMPPATH,
	'cms_captcha_fontpath' => CMS_CAPTCHA_FONTPATH,
	'cms_survey_nologin' => TRUE,
	'cms_pdf_private_resource_select' => TRUE,
	'cms_help_path' => 'misc/help/',
	'cms_siteid' => 'todcm',
	'cms_body_logo_text_color' => '#1f4469',
	'cms_body_image' => 'site/todcm_body.jpg',
	'cms_header_image' => CMS_IMAGE_SITE_HEADER_DEFAULT,
	'cms_header_image_bkcolor' => 'white',
	'cms_header_image_left_align' => TRUE,
	'cms_show_benchmark_without_lts' => TRUE,
	'cms_guest_disable_download_all' => TRUE,
	// Anything that is not IE uses this.
	'cms_plupload_runtimes' => 'html5,html4,flash,browserplus',
);
// CI will get the static values from $config.
$config = &$cms_config;

if (isset($_SERVER['HTTP_USER_AGENT']) && (stripos($_SERVER['HTTP_USER_AGENT'], 'msie') !== FALSE)) {
	// Problem with html4 in IE so have to do this
	$config['cms_plupload_runtimes'] = 'flash,silverlight,html5,html4,browserplus';
}

/*
 * Some old configs, keep it here since we might need to turn some of them back on.
	//Use multiple display grades in menu or not
	$config['cms_multiple_display_grade'] = FALSE;
	//Should override this in the site file to activate help button and define the help template
	$config['cms_help_config'] = FALSE;
	$config['cms_help_notree'] = FALSE;
	//Course grade related flags
	//This tells which table to use for the left panel display by grade tree
	//We need this to support ISB since they will swicth to display_grade when the data is there
	$config['cms_grade_table'] = 'course_grade';
	//Can we select multiple grades on the course description page
	$config['cms_multiple_grade_display'] = FALSE;
	//Always show all grades based on mingrade and maxgrade on the course desc page
	$config['cms_show_allgrades'] = FALSE;
	//unit compare config scroll, FALSE = single scroll
	$config['cms_unitcompare_multi_scroll'] = FALSE;
	// Defines what grade levels have what unit type add links, if not defined then all links are avaibale
	$config['cms_unit_templates'] =
		array(1=>array('pyp','ubd'), 2=>array('pyp','ubd'), 3=>array('pyp','ubd'), 4=>array('pyp','ubd'),
			   5=>array('pyp','ubd'), 6=>array('myp','ubd'), 7=>array('myp','ubd'), 8=>array('myp','ubd'), 9=>array('ubd'),
			   10=>array('ubd'), 11=>array('ubd'), 12=>array('ubd'), 13=>array('pyp','ubd'), 14=>array('pyp','ubd'), 15=>array('pyp','ubd'));
	$config['cms_goal_mode'] = FALSE;
	$config['cms_goal_show_editorbox'] = FALSE;
	$config['cms_goal_admin_stage_editor_support'] = FALSE;
	$config['cms_pdf_private_resource_select'] = FALSE;
	$config['cms_unit_admin_note_support'] = FALSE;
	//The login page msg from maintenance files.
	$config['cms_login_message'] = FALSE;
	//To enable failed login lockout feature
	$config['cms_failed_login_lockout_check'] = FALSE;
	$config['cms_guest_open_access'] = FALSE;
	$config['cms_survey_uselogin'] = FALSE;
*/

//For development purpose, not used in production. Do not change this line else the release process will break.
//@include_once('cms_development.php');
// TODO: The following needs to be optimized, too many includes. Make the update part of the upgrade.
if ( !isset($skip_config_for_cms_development) || !$skip_config_for_cms_development ) {
	// The config file generated by the web installation utility
	// This overrides everything except the config stored in database
	include(FCPATH . 'config.php');
	// config_override.php was added so we can override $config['cms_unit_org'] to
	// use a different set of templates
	$config['cms_data_folder'] = dirname($config['cms_resource_uploadfolder']) . '/';
	$local_configoverride = "{$config['cms_data_folder']}config/config_override_{$config['cms_siteid']}.php";
	if ( $local_configoverride_exists = file_exists($local_configoverride) ) {
		include($local_configoverride);
	}
	include(FCPATH . "templates/siteconfig/{$config['cms_unit_org']}.php");
	// Include this again to overwrite siteconfig
	// Have to include twice so we know what cms_unit_org it is above
	// include(FCPATH . 'config.php');
	if ( $local_configoverride_exists ) {
		include($local_configoverride);
	}
}

//Set cookie path. This is necessary if TODCM is not installed on the web server root folder.
//This makes the sub folders have their own session cookies
// TODO: save this in override config to less cpu time.
if ( isset($_SERVER['SCRIPT_NAME']) ) {
	if ( ($last_pos = strpos($_SERVER['SCRIPT_NAME'], 'index.php')) > 2 ) {
      $urlpart = substr($_SERVER['SCRIPT_NAME'], 0, $last_pos);
      $config['cookie_path'] = &$urlpart;
   }
   else {
   	$config['cookie_path'] = '/';
   }
}
else {
	$config['cookie_path'] = '/';
}
