<?php
/**
 * pureobject.php
 *
 * CI libraries to load pure php objects. CI libraries are singletons so we need a better
 * way to manage pure php classes. This acts as the gateway/factory to all pure PHP classes in TODCM.
 * This can load an object or include the class file for loading objects
 * saved in session.
 *
 * For all new external opne source PHP libraries, they should be located in the pureobject folder
 * so we can use this class to load them properly.
 *
 * @author $Author: dtong $
 * @version $Id: Pureobject.php,v 1.4 2012/02/22 11:17:27 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/

class Pureobject {

	function get($classpath) {
		if ( !$this->include_class($classpath) ) {
			return FALSE;
		}
		$classname = basename($classpath);
		return new $classname;
	}

	function include_class($classpath) {
		static $tracker=array();

		$dirname = dirname($classpath);
		if ( $dirname != '.' ) {
			// Most external libraries like Minify won't run in the CI environment
			// if we don't add the include path.
			$dirname = realpath(APPPATH . 'libraries/pureobject/' . $dirname);
			if ( !$dirname ) {
				return FALSE;
			}
			if ( !isset($tracker[$dirname]) ) {
				set_include_path(get_include_path() . PATH_SEPARATOR . $dirname);
				$tracker[$dirname] = TRUE;
			}
		}
		return @include_once($classpath . '.php');
	}

}