<?php
/**
 * handle_function -
 *
 * Handle to run an external function. This can be any PHP function or CI/TODCM function.
 * Only supports up to 5 params for now.
 *
 * @author $Author: dtong $
 * @version $Id: handle_function.php,v 1.1 2011/11/21 10:27:52 dtong Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/

class handle_function extends handle_base {
	Const HANDLE_PARAM_LIST = '_name,_params';

	function invoke() {
		//Check the handle parameters from the template and make sure they are valid
		//Browser would get error message if invalid parameter is found
		$this->valid_handle_params(self::HANDLE_PARAM_LIST);
		$name = osa_value($this->handle_data, '_name', FALSE);
		$params = osa_value($this->handle_data, '_params', FALSE);
		if ( empty($name) || !function_exists($name) ) {
			$this->error_flag = TRUE;
			osa_log(__METHOD__, 'Invalid function name or parameter.', $this->handle_data);
			return FALSE;
		}
		if ( $params ) {
			if ( !is_array($params) ) {
				$params = array($params);
			}
			$count = count($params);
		}
		else {
			$count = 0;
		}

		// We could use one single eval() but don't think there will be too many params
		// Add more or change to eval() later if necessary
		switch ($count) {
			case 0:
				return $name();
				break;
			case 1:
				return $name($params[0]);
				break;
			case 2:
				return $name($params[0], $params[1]);
				break;
			case 3:
				return $name($params[0], $params[1], $params[2]);
				break;
			case 4:
				return $name($params[0], $params[1], $params[2], $params[3]);
				break;
			case 5:
				return $name($params[0], $params[1], $params[2], $params[3], $params[4]);
				break;
			default:
				$this->error_flag = TRUE;
				osa_log(__METHOD__, 'Invalid param count.', $this->handle_data);
				break;
		}
		return FALSE;
	}
}