<?php
/**
 * todcm2_ubd.php - Unit template file for todcm2 UbD extend from todcm_ubd.php
 * 					to override Learning Target with Outcomes Skills.
 *
 * @author $Author: suppakit $
 * @version $Id: todcm2_ubd.php,v 1.2 2011/10/18 10:38:30 suppakit Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
require_once(CMS_TEMPLATEPATH_BUILDER . 'base/baseclass_ubd.php');
class unit_config_data extends baseclass_ubd{
	const OUTCOMES_SKILLS_TYPE = CMS_OUTCOMES_SKILLS_TYPE;

	static function get() {
		//This loads the ubd template from todcm (this file is for todcm2)
		if ( !osa_load_template_obj(CMS_UBD_TEMPLATE, TRUE, CMS_TEMPLATE_UNIT_IDENTIFIER, 'master_todcm', 'todcm') ) {
			return FALSE;
		}
		$template = & master_todcm_ubd::get();

		//unset extra hidden fields of Learning Target.
		unset($template->extra[master_todcm_ubd::LEARNING_TARGETS_TYPE]);
		unset($template->extra[master_todcm_ubd::LEARNING_TARGETS_TYPE . '_edit']);

		//Outcomes and skills buttons
		$os_button_add =
			array ('_type' => self::OUTCOMES_SKILLS_TYPE, '_image' => 'ss.gif', '_action' => 'edit',
				'_alt_title' => 'Select Outcomes and Skills',
				'_link' => self::os_add(self::OUTCOMES_SKILLS_TYPE),
				'_jscript' => "newDhtmlWindowTop('" . self::os_add(self::OUTCOMES_SKILLS_TYPE) .
									"','Select Outcomes and Skills',900,800,'outcomesskills');return false;"
			);
		$os_button_delete =
			 array ('_type' => self::OUTCOMES_SKILLS_TYPE, '_image' => 'x.gif', '_action' => 'edit',
			 '_link' => self::os_delete(), '_title' => FALSE, '_alt_title' => 'Delete',
			 '_jscript' => "return delUnitItem('" . self::os_delete() . "','" . self::stage_url() .
						"','_STAGEDIV_','Are you sure to delete this Skill?')"
			 );

		//Extra hidden fields of Outcomes Skills
		$template->extra[self::OUTCOMES_SKILLS_TYPE] =
			array('_type' => 'os', '_typeid' => self::OUTCOMES_SKILLS_TYPE, '_action' => 'edit',
					'_divid' => 'outcomesskills', '_stage_div' => 'stage1_div', '_stage_num' => '1',
			);
		$template->extra[self::OUTCOMES_SKILLS_TYPE . '_edit'] =
			array('_typeid' => self::OUTCOMES_SKILLS_TYPE, '_action' => 'edit|read',
				'_body_divid' => 'page_content', '_sort_flag' => TRUE, '_sort_typeid' => CMS_SORT_OS_COURSE,
			);

		//This will overide Learning target in todcm_ubd.php to be an Outcomes skills.
		$template->stage[1]['title1_1'] =
			array('_type' => 'subtitle', '_title' => 'Outcomes and Skills', '_action' => 'edit',
					'_rightbutton' => array($os_button_add)
			);
		$template->stage[1]['title1_2'] =
			array('_type' => 'subtitle', '_title' => 'Outcomes and Skills', '_action' => 'read');
		$template->stage[1]['lt_list'] =
			array('_type' => 'os', '_typeid' => self::OUTCOMES_SKILLS_TYPE, '_action' => 'read|edit',
					'_button' => array($os_button_delete), '_sort_flag' => TRUE
			);

		return $template;
	}
}