<?php
/**
 todcm2.php - Mapping template for todcm2.
 *
 * @author $Author: suppakit $
 * @version $Id: todcm2.php,v 1.2 2011/10/18 10:38:30 suppakit Exp $
 * @copyright Copyright (c) 2011, Tiller Software Co., Ltd.
*/

if ( ! defined('BASEPATH')) exit('No direct script access allowed');

require_once(CMS_TEMPLATEPATH_MAPPING . 'config_base.php');

class search_config_data extends search_config_base{

	static function get() {
		$mapping_class_name = osa_load_mapping_obj('todcm');
		$mapping_object = new $mapping_class_name;
		$mapping_object->set_unit_org('todcm');
		$mapping_data = & $mapping_object->get();
		//This class is already loaded from todcm1 mapping template.
		//This is done to get the class name only.
		$todcm1_unit_class_name = self::get_unit_template(CMS_UBD_TEMPLATE);
		/*
		 * these are overide todcm mapping template with Outcomes and Skills data
		 */
		$mapping_data->search[3][0] = array('_menu_title' => 'Outcomes and Skills', '_menu_image' => 'mapping.jpg');
		$mapping_data->search[3][1] = array(
			array('_type' => 'page_title', '_text' => 'Outcomes and Skills Mapping Search'),
			array('_type' => 'sub_title', '_text' => 'Show me Skills NOT included in units from:'),
			array('_type' => 'search', '_uniqueid' => 'orphanlt', //_uniqueid is used to identify this data for retrieval purpose
				//This is the data for the search handle
				'_search_data' =>
					array('_title' => 'Orphan Skills Mapping Search Result',
						'_benchmark_title'=>'Outcome','_target_title'=>'Skill','_skip_standard'=>TRUE),
				//This is the data for the search input/selection page
				'_data' => //_handle is the search handle/library name
					array('_handle' => 'orphanlt', '_form' => 'orphanlt_form', '_wintitle' => 'Orphan Skills Mapping',
						'_width' => 1000, '_height'=>800, '_divid'=>'map_orphanlt', '_default_col'=>0, '_default_img'=>0, // default sort column and icon down
						//This is the content for a search
						'_search' => array (
							array('_type'=>'general', '_select_size'=>10),
						),
					),
			),
			//This is the search for LTs
			array('_type'=>'line'),
			array('_type' => 'sub_title', '_text' => 'Show me Skills in units from:'),
			array('_type' => 'search', '_uniqueid' => 'lt', //_uniqueid is used to identify this data for retrieval purpose
				//This is the data for the search handle
				'_search_data' =>
					array('_title' => 'Skills Mapping Search Result',
							'_benchmark_title'=>'Outcome','_target_title'=>'Skill','_skip_standard'=>TRUE),
				//This is the data for the search input/selection page
				'_data' => //_handle is the search handle/library name
					array('_handle' => 'lt', '_form' => 'lt_form', '_wintitle' => 'Learning Targets Mapping',
						'_width' => 1000, '_height'=>800, '_divid'=>'map_lt', '_default_col'=>0, '_default_img'=>0, // default sort column and icon down
						//This is the content for a search
						'_search' => array (
							array('_type'=>'general', '_select_size'=>10),
						),
					),
			),
		);

		//Big Picture
		$mapping_data->search[6][1] = array(
			array('_type' => 'page_title', '_text' => 'Big Picture Mapping Search'),
			//This is the search for Essential Question
			array('_type' => 'sub_title', '_text' => 'Show me the Teacher Essential Questions from:'),
			array('_type' => 'search', '_uniqueid' => 'eq', //_uniqueid is used to identify this data for retrieval purpose
				//This is the data for the search handle
				'_search_data' =>
					array('_title' => 'Essential Question Search Result' ,
					      '_type'=>self::get_constant($todcm1_unit_class_name, 'IT_STANDARDS_TYPE'), '_skip_enduring_understandings' => TRUE),
				//This is the data for the search input/selection page
				'_data' => //_handle is the search handle/library name
					array('_handle' => 'eq', '_form' => 'eq_form', '_wintitle' => 'Essential Question Mapping',
						'_width' => 1000, '_height'=>780, '_divid'=>'map_eq', '_default_col'=>0, '_default_img'=>0, // default sort column and icon down
						//This is the content for a search
						'_search' => array (
						    array('_type'=>'eq', '_select_size'=>10, '_form' => 'eq_form' ,
						 		  '_div_department' => 'map_eq_department' , '_div_essential' => 'map_eq_essential',
						 		  '_url' => 'map/select/get/essential/' ,
						 		  '_span_id' => 'span_eq', '_span_text' => 'EQs are not defined for the selected subject area.',
						 		  '_span_default' => ' Please select a department.'),
						    array('_type'=>'newline', '_px'=>15),
						    array('_type'=>'html_text','_text'=>'<div id="map_eq_essential"><b>' .
						    	'Please select a subject area to see the list of related Essential Questions.</b></div>'),
						),
					),
			),
			//This is the search for Like
			array('_type' => 'line'),
			array('_type' => 'sub_title', '_text' => 'Show me all units from:'),
			array('_type' => 'search', '_uniqueid' => 'allunits', //_uniqueid is used to identify this data for retrieval purpose
				//This is the data for the search handle
				'_search_data' =>
					array('_title' => 'All Unit Search Result'),
				//This is the data for the search input/selection page
				'_data' => //_handle is the search handle/library name
					array('_handle' => 'allunits', '_form' => 'allunits_form', '_wintitle' => 'All Unit Mapping',
						'_width' => 1200, '_height'=>800, '_divid'=>'map_allunits', '_default_col'=>0, '_default_img'=>0, // default sort column and icon down
						//This is the content for a search
						'_search' => array (
						    array('_type'=>'allunits', '_select_size'=>10, '_form' => 'allunits_form' ,
						 		  '_span_id' => 'span_allunits', '_span_text' => 'No Data',
						 		  '_span_default' => ' Please select a department.'),
						    array('_type'=>'html_text', '_text'=>'<b>That include the word(s)</b> '),
						    array('_type'=>'html_text','_text'=>'<input TYPE="text" ID="_allunits" VALUE="" size="25" ' .
						    	'onKeyPress="return noEnterKey(event)"></input>'),
						    array('_type'=>'html_text', '_text'=>' <b>in the unit description, title or resource.</b>'),
						),
					),
			),
			//This is the search by unit type(normal,meta,integrated and unified)
			array('_type'=>'line'),
			array('_type' => 'sub_title', '_text' => 'Show me units:'),
			array('_type' => 'search', '_uniqueid' => 'unittype', //_uniqueid is used to identify this data for retrieval purpose
				//This is the data for the search handle
				'_search_data' =>
					array('_title' => 'Unit Type Mapping Search Result',
							'_type'=>self::get_constant($todcm1_unit_class_name, 'IT_STANDARDS_TYPE')),
				//This is the data for the search input/selection page
				'_data' => //_handle is the search handle/library name
					array('_handle' => 'unittype', '_form' => 'unittype_form', '_wintitle' => 'Unit Type Mapping',
						'_width' => 900, '_height'=>700, '_divid'=>'map_unittype', '_default_col'=>0, '_default_img'=>0, // default sort column and icon down
						//This is the content for a search
						'_search' => array (
							array('_type'=>'general', '_select_size'=>10,
							'_deptsel_default_all' => TRUE), //_deptsel_default_all makes all depts selected
							array('_type'=>'newline', '_px'=>10),
							array('_type'=>'html_text', '_text'=>'<b>With one or more of the following unit types:</b>'),
							array('_type'=>'newline', '_px'=>10),
							array('_type'=>'html_checkbox', '_name'=>'_normal', '_value'=>'1', '_checked'=>FALSE),
							array('_type'=>'html_text', '_text'=>' Normal&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'),
							array('_type'=>'html_checkbox', '_name'=>'_unified', '_value'=>'5,6', '_checked'=>FALSE),
							array('_type'=>'html_text', '_text'=>' Unified'),
						),
					),
			),
		);

		//Modified Unit
		$mapping_data->search[7][1] = array(
			array('_type' => 'page_title', '_text' => 'Mapping Progress Search'),
			array('_type' => 'sub_title', '_text' => 'Show me recently modified units from:'),
			array('_type' => 'search', '_uniqueid' => 'Publish', //_uniqueid is used to identify this data for retrieval purpose
				//This is the data for the search handle
				'_search_data' => //Handles can have any kind of data here.
				//array('_title' => ' Search Result' ),
				array(),
				//This is the data for the search input/selection page
				'_data' => //_handle is the search handle/library name
					array('_handle' => 'publishunit', '_form' => 'publishunit_form', '_wintitle' => 'Unit Mapping',
						'_width' => 1000, '_height'=>800, '_divid'=>'map_publishunit', '_default_col'=>0, '_default_img'=>0, // default sort column and icon down
						//This is the content for a search
						'_search' => array (
							array('_htmlbefore'=>FALSE, '_htmlafter'=>FALSE, '_type'=>'general',
								'_deptsel_default_all' => TRUE, '_select_size'=>10), //_deptsel_default_all makes all depts selected
							array('_type'=>'newline', '_px'=>15),
							array('_type'=>'date_range'),
							array('_type'=>'newline', '_px'=>15),
							array('_type'=>'html_text', '_text'=>'Filter my mapping result by '),
							array('_type'=>'html_select', '_name'=>'_sortorder', '_default'=>'coursename,modifydate', '_options'=>'size="1"',
								  '_data'=>array('0'=>'All Units','1'=>'Published Units','2'=>'Editing Units')),
						),
					),
			),
			// Admin Notes
			array('_type'=>'line'),
			array('_type' => 'sub_title', '_text' => 'Show me Admin Notes from:'),
			array('_type' => 'search', '_uniqueid' => 'adminnotes', //_uniqueid is used to identify this data for retrieval purpose
				//This is the data for the search handle
				'_search_data' => //Handles can have any kind of data here.
					array('_title' => 'Admin Notes Search Result'),
				//This is the data for the search input/selection page
				'_data' => //_handle is the search handle/library name
					array('_handle' => 'staticresource', '_form' => 'staticres_form', '_wintitle' => 'Admin Notes Search',
						'_width' => 1000, '_height'=>800, '_divid'=>'map_staticres', '_default_col'=>0, '_default_img'=>0, // default sort column and icon down
						//This is the content for a search
						'_search' => array (
							array('_type'=>'general', '_htmlbefore'=>FALSE, '_htmlafter'=>FALSE, '_select_size'=>10,'_deptsel_default_all' => TRUE),
							array('_type'=>'newline', '_px'=>15),
						),
					),
			),
		);

		return $mapping_data;
	}
}